#!/bin/bash

SOURCE="${BASH_SOURCE[0]}"

echo $SOURCE

while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
  DIR="$( cd -P "$( dirname "$SOURCE" )" >/dev/null 2>&1 && pwd )"
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
done

echo $SOURCE

DIR="$( cd -P "$( dirname "$SOURCE" )" >/dev/null 2>&1 && pwd )"

echo $DIR

"$DIR/type.sh" 0.1 31m "Single parentheses '(' indicate a subshell, so changes inside the parentheses have no effect outside of the parentheses."
"$DIR/type.sh" 0.1 32m "Single braces '{' are like single parentheses in that they group commands, but they only influence parsing and they don't spawn a subshell."
"$DIR/type.sh" 0.1 33m "A single bracket '[' is the same as the 'test' command that tests conditional expressions."
"$DIR/type.sh" 0.1 35m "Double brackets '[[' support using new features for testing, for example, regular expressions."
"$DIR/type.sh" 0.1 36m "Double parentheses surround an arithmetic instruction, that is, a computation on integers, with a syntax resembling other programming languages."
